Bug 1006854 - [engine-backend] [external-provider] It's possible to run a vm, with an imported disk (from glance), that has lower values than the minimum ram and disk size which was specified previously on openstack
[engine-backend] [external-provider] It's possible to run a vm, with an impor...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: nobody nobody
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 07:48 EDT by Elad
Modified: 2016-02-10 15:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Red Hat Enterprise Virtualization Manager only imports disk data from the Glance image provider. It does not import the instance specification such as minimum RAM value.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 06:52:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
enigne.log (857.48 KB, text/plain)
2013-09-11 07:48 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-09-11 07:48:50 EDT
Created attachment 796350 [details]
enigne.log

Description of problem:
It's possible to run a vm, with an imported disk (from glance), that has lower values than the minimum ram and disk size which was specified previously on openstack

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.19.master.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. need to have a RHOS setup with image on it that was configured with 10 GB RAM and 20 GB disk size 
2. add new external provider to RHEVM (glance images)
3. import the image to rhevm from glance
4. create a vm on RHEV with 1GB RAM and attach the imported disk to it
5. try to run the vm

Actual results:
Although the image was configured to run on vm that has minimum ram and disk size, it's possible to run the vm (which has lower values of ram and disk) when the disk is attached to it

Expected results:
RHEVM should block user from do so, or at least inform about the disk limitations to the user.

Additional info: engine log
Comment 1 Ayal Baron 2013-09-12 06:52:22 EDT
We do not import the 'flavour' from glance, only the disk image.

Note You need to log in before you can comment on or make changes to this bug.